## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}
%global module azcore

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/Azure/azure-sdk-for-go
%global goipath         github.com/Azure/azure-sdk-for-go/sdk/%{module}
Version:                1.9.0
%global tag             sdk/%{module}/v%{version}
%global distprefix      %{nil}

%gometa -f

%global common_description %{expand:
Azure SDK for Go - %{module} library.}

%global golicenses      LICENSE.txt
%global godocs          CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md SUPPORT.md\\\
                        SECURITY.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Azure SDK for Go - %{module} library

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# move building library to the root to match goipath
mv sdk/%{module}/* .
rm -rf .github documentation eng profile sdk

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# Link path provided by other golang-github-azure-sdk-* packages, as the tests
# require all files in the same path to be able to test using internal libraries
ln -s /usr/share/gocode/src/github.com/Azure/azure-sdk-for-go/sdk/internal _build/src/github.com/Azure/azure-sdk-for-go/sdk/
%gocheck
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 26 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.9.0-1
- update to 1.9.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 27 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.1-1
- Initial package - Closes rhbz#2216266
## END: Generated by rpmautospec
